Skip to main content
PATCH
/
_api
/
offerings
/
{offeringId}
/
orders
/
{orderId}
/
cancel
Cancel order
curl --request PATCH \
  --url https://dev.go.simplytokenized.com/_api/offerings/{offeringId}/orders/{orderId}/cancel \
  --header 'Authorization: Bearer <token>'
const options = {method: 'PATCH', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dev.go.simplytokenized.com/_api/offerings/{offeringId}/orders/{orderId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://dev.go.simplytokenized.com/_api/offerings/{offeringId}/orders/{orderId}/cancel"

headers = {"Authorization": "Bearer <token>"}

response = requests.patch(url, headers=headers)

print(response.text)


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "<string>",
  "cancellation_date": "<string>"
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}
{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>",
"errors": [
"<unknown>"
]
}
}

Authorizations

Authorization
string
header
required

Bearer access token from POST /_api/auth

Path Parameters

offeringId
string<uuid>
required

offeringId identifier

orderId
string<uuid>
required

orderId identifier

Response

Success

id
string<uuid>
required
status
string
required
cancellation_date
string | null
required